DESCRIPTION = "E17 - the Enlightenment Window Mananger"
DEPENDS = "eet evas ecore edje embryo efreet edbus edje-native embryo-native"
LICENSE = "MIT/BSD"
PV = "cvs"
PR = "r1"

inherit e update-alternatives

SRC_URI = "file://${HOME}/moko/illume/e17/apps/e"

### for customising - really should make this simple upstream  
#           file://set-autoscroll-defaults.patch;patch=1 \
#           file://Xsession.d/98enlightenment \
#           file://applications.menu \
#          "

EXTRA_OECONF = "--x-includes=${STAGING_INCDIR}/X11 \
                --x-libraries=${STAGING_LIBDIR} \
		--enable-simple-x11 \
                --with-edje-cc=${STAGING_BINDIR_NATIVE}/edje_cc"
                
FILES_${PN} = "${bindir}/* ${libdir}/enlightenment/modules/*/*.* ${libdir}/enlightenment/modules/*/*/* ${libdir}/enlightenment/preload/*.so ${datadir} ${sysconfdir}"
FILES_${PN}-dbg += "${libdir}/enlightenment/modules/*/*/.debug/ ${libdir}/enlightenment/preload/.debug/"

do_install_append() {
  for I in `find ${STAGING_LIBDIR}/enlightenment -name "*.la" -print`; do rm -f $I; done
  for I in `find ${STAGING_LIBDIR}/enlightenment -name "*.a" -print`; do rm -f $I; done
  for I in `find ${STAGING_LIBDIR_CROSS}/enlightenment -name "*.la" -print`; do rm -f $I; done
  for I in `find ${STAGING_LIBDIR_CROSS}/enlightenment -name "*.a" -print`; do rm -f $I; done

### for customising - really should make this simple upstream  
#  install -d ${D}/${sysconfdir}/X11/Xsession.d
#  install -m 755 ${WORKDIR}/Xsession.d/98enlightenment ${D}/${sysconfdir}/X11/Xsession.d
#  install -d ${D}/${sysconfdir}/xdg/menus
#  install -m 644 ${WORKDIR}/applications.menu ${D}/${sysconfdir}/xdg/menus/
}

ALTERNATIVE_PATH = "${bindir}/enlightenment_start"
ALTERNATIVE_NAME = "x-window-manager"
ALTERNATIVE_LINK = "${bindir}/x-window-manager"
ALTERNATIVE_PRIORITY = "16"
