DESCRIPTION = "Ecore is the core event abstraction layer for the enlightenment \
foundation libraries. It makes makes doing selections, drag and drop, event loops, \
timeouts and idle handlers fast, optimized, and convenient."
LICENSE = "MIT/BSD"
DEPENDS = "eet evas tslib"
# optional
# DEPENDS += "curl openssl virtual/libiconv"
PV = "cvs"

inherit efl_library

SRC_URI = "file://${HOME}/moko/illume/e17/libs/ecore"

PACKAGES += "\
    ${PN}-con \
    ${PN}-evas \
    ${PN}-fb \
    ${PN}-file \
    ${PN}-ipc \
    ${PN}-job \
    ${PN}-txt \
    ${PN}-x \
    ${PN}-imf \
    ${PN}-imf-evas \
    "
FILES_${PN} = "${libdir}/libecore.so.*"
FILES_${PN}-con = "${libdir}/libecore_con.so.*"
FILES_${PN}-evas = "${libdir}/libecore_evas.so.*"
FILES_${PN}-fb = "${libdir}/libecore_fb.so.*"
FILES_${PN}-file = "${libdir}/libecore_file.so.*"
FILES_${PN}-ipc = "${libdir}/libecore_ipc.so.*"
FILES_${PN}-job = "${libdir}/libecore_job.so.*"
FILES_${PN}-txt = "${libdir}/libecore_txt.so.*"
FILES_${PN}-x = "${libdir}/libecore_x.so.*"
FILES_${PN}-imf = "${libdir}/libecore_imf.so.*"
FILES_${PN}-imf-evas = "${libdir}/libecore_imf_evas.so.*"
